Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 385699 - Gnome* maintained packages stabilization list for October
Summary: Gnome* maintained packages stabilization list for October
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
: 384653 385269 (view as bug list)
Depends on: 373393 385701 385703 385705 386629 388369
Blocks: 384701 386957 CVE-2011-2821 387187 387199
  Show dependency tree
 
Reported: 2011-10-05 08:47 UTC by Pacho Ramos
Modified: 2011-10-30 18:17 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
List 1 (LISTA.1,13.29 KB, text/plain)
2011-10-05 09:05 UTC, Pacho Ramos
Details
List 2 (LISTA.2,9.66 KB, text/plain)
2011-10-05 22:18 UTC, Pacho Ramos
Details
List 3 (LISTA.2,9.83 KB, text/plain)
2011-10-06 18:53 UTC, Pacho Ramos
Details
List 4 (LIST.txt,9.83 KB, text/plain)
2011-10-16 00:05 UTC, Pacho Ramos
Details
List 5 (attachment.cgi.txt,9.73 KB, text/plain)
2011-10-17 10:58 UTC, Pacho Ramos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2011-10-05 08:47:12 UTC
.

Reproducible: Always
Comment 1 Pacho Ramos gentoo-dev 2011-10-05 09:05:41 UTC
Created attachment 288835 [details]
List 1

First attempt, gnome team, please review
Comment 2 Pacho Ramos gentoo-dev 2011-10-05 09:09:32 UTC
*** Bug 384653 has been marked as a duplicate of this bug. ***
Comment 3 Pacho Ramos gentoo-dev 2011-10-05 09:09:42 UTC
*** Bug 385269 has been marked as a duplicate of this bug. ***
Comment 4 Dustin Polke 2011-10-05 09:16:33 UTC
(In reply to comment #1)
> Created attachment 288835 [details]
> List 1
> 
> First attempt, gnome team, please review
With this list, I get

!!! The following update has been skipped due to unsatisfied dependencies:

media-plugins/gst-plugins-meta:0.10

!!! All ebuilds that could satisfy ">=media-plugins/gst-plugins-mplex-0.10" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-plugins/gst-plugins-mplex-0.10.22::gentoo (masked by: ~amd64 keyword)
- media-plugins/gst-plugins-mplex-0.10.21::gentoo (masked by: ~amd64 keyword)
- media-plugins/gst-plugins-mplex-0.10.19::gentoo (masked by: ~amd64 keyword)

(dependency required by "media-plugins/gst-plugins-meta-0.10-r6[vcd]" [ebuild])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

app-cdr/brasero:0
Comment 5 Dustin Polke 2011-10-05 09:18:05 UTC
(In reply to comment #4)
> (In reply to comment #1)
> > Created attachment 288835 [details]
> > List 1
> > 
> > First attempt, gnome team, please review
> With this list, I get
> 
> !!! The following update has been skipped due to unsatisfied dependencies:
> 
> media-plugins/gst-plugins-meta:0.10
Just ignore me, it's handled in a seperate bug. Should have looked before adding this... :-/
Comment 6 Gilles Dartiguelongue gentoo-dev 2011-10-05 12:28:40 UTC
beware that a couple of packages depending on gmime actually have an automagic detection for gmime:2.6 as well. net-nntp/pan is amongst those (probably balsa as well).

To "fix" this for now, I made latest pan bump depend exclusively in gmime:2.6. But that's not gonna fit every package case.

The rest looks reasonable.
Comment 7 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-10-05 18:02:32 UTC
(In reply to comment #1)
> Created attachment 288835 [details]
> List 1

@Pacho
I kinda missed that you've resolved bug 369909. Could you regenerate the list? Some pkgs for ppc* should be gone. Thanks!
Comment 8 Samuli Suominen gentoo-dev 2011-10-05 18:08:34 UTC
Blocking bug 384701 because the fixed gdk-pixbuf version is from this one.
Comment 9 Pacho Ramos gentoo-dev 2011-10-05 21:11:07 UTC
(In reply to comment #6)
> beware that a couple of packages depending on gmime actually have an automagic
> detection for gmime:2.6 as well. net-nntp/pan is amongst those (probably balsa
> as well).
> 
> To "fix" this for now, I made latest pan bump depend exclusively in gmime:2.6.
> But that's not gonna fit every package case.
> 

What should I do then? If that packages can use gmime:2.6 they should RDEPEND on it (if they can use both, they should RDEPEND on both with || I think). Should I skip it until this is done?

> The rest looks reasonable.

Fine :)

(In reply to comment #7)
> (In reply to comment #1)
> > Created attachment 288835 [details]
> > List 1
> 
> @Pacho
> I kinda missed that you've resolved bug 369909. Could you regenerate the list?
> Some pkgs for ppc* should be gone. Thanks!

OK
Comment 10 Gilles Dartiguelongue gentoo-dev 2011-10-05 21:46:53 UTC
(In reply to comment #9)
> What should I do then? If that packages can use gmime:2.6 they should RDEPEND
> on it (if they can use both, they should RDEPEND on both with || I think).
> Should I skip it until this is done?

Well ideally we should patch those packages like all those with automagic selection of dependencies (think firefox/mozilla/seamonkey back in the days).
For now I think the affected package set is small enough that most likely very few people would notice it.

In any case, the solution is not to || all supported slots as it's much more of a problem when removing an old slot and users not figuring out they need to rebuild all packages with that || dependency because portage just won't on its own. Better always pin to one slot.
Comment 11 Pacho Ramos gentoo-dev 2011-10-05 22:18:26 UTC
Created attachment 288925 [details]
List 2

Updated list
Comment 12 Pacho Ramos gentoo-dev 2011-10-05 22:22:59 UTC
CC'ing additional maintainer that co-maintain packages with gnome team, I hope they are ok (packages like libwps, system-config-printer*,audiofile
Comment 13 Tomáš Chvátal (RETIRED) gentoo-dev 2011-10-06 07:18:07 UTC
If you are going to stable libwps/d add to the list also libwpg thanks.
Comment 14 Samuli Suominen gentoo-dev 2011-10-06 07:29:41 UTC
The media libs and apps in the list are fine, go on -> Removing sound@ from CC list.
Comment 15 Maciej Mrozowski gentoo-dev 2011-10-06 14:58:40 UTC
Do it, Gordon! (system-config-printer-*)
Comment 16 Pacho Ramos gentoo-dev 2011-10-06 18:53:19 UTC
Created attachment 289015 [details]
List 3

Updated then ;)
Comment 17 Tomáš Chvátal (RETIRED) gentoo-dev 2011-10-06 20:13:10 UTC
Now works for libreo :) removing us from cc
Comment 18 Pacho Ramos gentoo-dev 2011-10-08 21:26:16 UTC
Arches, please test and mark stable
Comment 19 Agostino Sarubbo gentoo-dev 2011-10-09 22:44:45 UTC
All compiles fine, except few packages with USE="doc"M imho are not a very blockers.
Run as well in another system with pre-existent gnome.
Comment 20 Pacho Ramos gentoo-dev 2011-10-10 10:00:11 UTC
bug 386629 is not really a blocker of this one as current stable has also non working youtube totem plugin due it (and then, there wouldn't be a regression) but, since bug 386629 should be fixed as soon as possible, it shouldn't delay this so much and would safe people from needing to rebuild totem-pl-parser later (one for this update and another one later with revdep-rebuild)
Comment 21 Pacho Ramos gentoo-dev 2011-10-10 10:00:47 UTC
(In reply to comment #20)

safe -> save
Comment 22 Pacho Ramos gentoo-dev 2011-10-10 10:21:34 UTC
(In reply to comment #19)
> All compiles fine, except few packages with USE="doc"M imho are not a very
> blockers.
> Run as well in another system with pre-existent gnome.

If you found some packages wrongly installing .la files from this updated list, please comment affected packages here as maybe I can drop from of them before stabilization to help with a better libpng upcoming update ;)
Comment 23 Jeff (JD) Horelick (RETIRED) gentoo-dev 2011-10-11 01:50:53 UTC
Archtested on x86: some docs failed and some minor test failures, but i'm going to give my signoff.
Comment 24 Ian Delaney (RETIRED) gentoo-dev 2011-10-11 09:41:47 UTC
amd64:

with test set;

twisted still fails test phase,
telepathy-glib && gtk+ gnucash now fail test phase,
webkit-gtk -r200 && -r300 both fail test phase, see bug for webkit-gtk-1.4.3-r300.

Other than that, all emerged.
Comment 25 Pacho Ramos gentoo-dev 2011-10-11 11:07:22 UTC
(In reply to comment #24)
> amd64:
> 
> with test set;
> 
> twisted still fails test phase,
> telepathy-glib && gtk+ gnucash now fail test phase,
> webkit-gtk -r200 && -r300 both fail test phase, see bug for
> webkit-gtk-1.4.3-r300.
> 
> Other than that, all emerged.

Then, please, report all of them (if not reported yet)... but anyway, they shouldn't block this one
Comment 26 Ian Delaney (RETIRED) gentoo-dev 2011-10-11 11:12:31 UTC
I did
Comment 27 Anton Bolshakov 2011-10-15 03:53:43 UTC
Calculating dependencies / * Digest verification failed:
 * /usr/portage/dev-util/meld/meld-1.5.2.ebuild
 * Reason: Filesize does not match recorded size
 * Got: 2409
 * Expected: 2406 

Please fix it.
Comment 28 KinG-InFeT 2011-10-15 13:27:29 UTC
x11-libs/gtk+-3.0.12-r1 x86 stable
dev-util/glade-3.10.0-r1 x86 stable
Comment 29 Samuli Suominen gentoo-dev 2011-10-15 14:11:39 UTC
amd64 stable
Comment 30 Pacho Ramos gentoo-dev 2011-10-15 14:42:34 UTC
(In reply to comment #27)
> Calculating dependencies / * Digest verification failed:
>  * /usr/portage/dev-util/meld/meld-1.5.2.ebuild
>  * Reason: Filesize does not match recorded size
>  * Got: 2409
>  * Expected: 2406 
> 
> Please fix it.

I have just seen Manifest from cvs tree already contains "2409" as size for ebuild, then, it should be fixed in some minutes in main tree
Comment 31 Pacho Ramos gentoo-dev 2011-10-16 00:05:14 UTC
Created attachment 289909 [details]
List 4

Updated list with security fixed libxml2
Comment 32 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-10-16 18:02:19 UTC
ppc/ppc64 stable
Comment 33 Pacho Ramos gentoo-dev 2011-10-17 10:58:03 UTC
Created attachment 290053 [details]
List 5

Drop newer at-spi as it breaks things
Comment 34 Jeroen Roovers gentoo-dev 2011-10-18 17:34:56 UTC
Stable for HPPA.
Comment 35 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-10-21 15:10:13 UTC
x86 stable
Comment 36 Markus Meier gentoo-dev 2011-10-28 20:26:06 UTC
arm stable
Comment 37 Raúl Porcel (RETIRED) gentoo-dev 2011-10-30 18:12:18 UTC
alpha/ia64/m68k/s390/sh/sparc stable
Comment 38 Pacho Ramos gentoo-dev 2011-10-30 18:17:02 UTC
Looks like all arches are done